fop 1.1

## org.apache.fop.afp.modca
Class MapPageOverlay

    java.lang.Object
      org.apache.fop.afp.modca.AbstractAFPObject
          org.apache.fop.afp.modca.MapPageOverlay

All Implemented Interfaces:
  Streamable

    public class MapPageOverlay

extends AbstractAFPObject

The Map Page Overlay structured field maps a Resource Local ID to the name of a Begin Overlay structured field. A Map Page Overlay structured field may contain from one to 254 repeating groups.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`AbstractAFPObject.Category, AbstractAFPObject.Type`

Field Summary

Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`LOG, SF_CLASS, SF_HEADER_LENGTH`

Constructor Summary
`MapPageOverlay()` Constructor for the Map Page Overlay

Method Summary
`void` `addOverlay(java.lang.String name)` Add an overlay to to the map page overlay object.
`void` `writeToStream(java.io.OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`copySF, copySF, truncate, writeChunksToStream, writeObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapPageOverlay

    public MapPageOverlay()

  Constructor for the Map Page Overlay

Method Detail

### addOverlay

    public void addOverlay(java.lang.String name)
                    throws MaximumSizeExceededException

  Add an overlay to to the map page overlay object.

  Parameters:
    `name` - The name of the overlay.
  Throws:
    `MaximumSizeExceededException` - if the maximum size is reached

### writeToStream

    public void writeToStream(java.io.OutputStream os)
                       throws java.io.IOException

  DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

  Parameters:
    `os` - the outputsteam stream
  Throws:
    `java.io.IOException` - an I/O exception of some sort has occurred.

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.